net.sf.cglib.core

## Class DefaultGeneratorStrategy

- java.lang.Object
- - net.sf.cglib.core.DefaultGeneratorStrategy

- All Implemented Interfaces:
    GeneratorStrategy
  Direct Known Subclasses:
    UndeclaredThrowableStrategy

      public class DefaultGeneratorStrategy
      extends java.lang.Object
      implements GeneratorStrategy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultGeneratorStrategy` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGeneratorStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generate(ClassGenerator cg)` Generate the class.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.cglib.core.GeneratorStrategy

      `equals`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultGeneratorStrategy INSTANCE

  - ### Constructor Detail

    - #### DefaultGeneratorStrategy

          public DefaultGeneratorStrategy()

  - ### Method Detail

    - #### generate

          public byte[] generate(ClassGenerator cg)
                          throws java.lang.Exception

      Description copied from interface: `GeneratorStrategy`
      Generate the class.
      Specified by:
        `generate` in interface `GeneratorStrategy`
      Parameters:
        `cg` - a class generator on which you can call `ClassGenerator.generateClass(ClassVisitor)`
      Returns:
        a byte array containing the bits of a valid Class
      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation